{% load widget_tweaks %}
{% load staticfiles i18n %}
<form name="app_create_form" method="post" action="{% url 'app_create' %}" class="js-app-create-form">
    {% csrf_token %}
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
        <h4 class="modal-title">Create a New App</h4>
    </div>
    <div class="modal-body">
        {% for field in form %}
            <div id="{{ field.label }}" class="form-group{% if field.errors %} has-error{% endif %}">
                <label for="{{ field.id_for_label }}">{{ field.label }}</label>
                {% render_field field class="form-control" %}
{#                {{ field.templateName|attr:'required:false' }}#}
                {{ field.templateName }}
                {% for error in field.errors %}
                    <p class="help-block">{{ error }}</p>
                {% endfor %}
            </div>
        {% endfor %}
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Create App</button>
    </div>
</form>
